## NAME

           blockmean - filter to block average (x,y,z) data by L2 norm

## SYNOPSIS

           blockmean      [      xyz[w]file(s)     ]     -Ix_inc[m|c][/y_inc[m|c]]
           -Rwest/east/south/north[r] [ -C ] [ -F ] [ -H[nrec] ] [ -S[w|z] ] [  -V
           ] [ -W[io] ] [ -: ] [ -bi[s][n] ] [ -bo[s][n] ] [ -f[i|o]colinfo ]

## DESCRIPTION

           blockmean  reads  arbitrarily  located  (x,y,z)  triples [or optionally
           weighted quadruples (x,y,z,w)] from standard input  [or  xyz[w]file(s)]
           and  writes to standard output a mean position and value for every non-
           empty block in a grid region  defined  by  the  -R  and  -I  arguments.
           Either  blockmean,  blockmedian,  or blockmode should be used as a pre-
           processor before running surface to avoid aliasing  short  wavelengths.
           These  routines  are  also generally useful for decimating or averaging
           (x,y,z) data. You can modify the precision  of  the  output  format  by
           editing  the  D_FORMAT parameter in your .gmtdefaults4 file, or you may
           choose binary input and/or output  using  single  or  double  precision
           storage.

           xyz[w]file(s)
                  3  [or  4]  column  ASCII  file(s)  [or  binary, see -b] holding
                  (x,y,z[,w]) data values. [w] is an optional weight for the data.
                  If  no  file  is  specified,  blockmean  will read from standard
                  input.

           -I     x_inc [and optionally y_inc] is the grid spacing.  Append  m  to
                  indicate minutes or c to indicate seconds.

           -R     xmin,  xmax,  ymin, and ymax specify the Region of interest. For
                  geographic regions,  these  limits  correspond  to  west,  east,
                  south,  and north and you may specify them in decimal degrees or
                  in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r  if  lower  left
                  and  upper  right map coordinates are given instead of wesn. The
                  two shorthands  -Rg  -Rd  stand  for  global  domain  (0/360  or
                  -180/+180  in longitude respectively, with -90/+90 in latitude).
                  For calendar time coordinates you may either give relative  time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT; append t to -JX|x), or  absolute  time  of  the  form
                  [date]T[clock]  (append  T  to  -JX|x). At least one of date and
                  clock must be present; the T is always required. The date string
                  must  be  of  the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or
                  yyyy[-Www[-d]] (ISO week calendar), while the clock string  must
                  be  of  the form hh:mm:ss[.xxx]. The use of delimiters and their
                  type and positions must be as indicated  (however,  input/output
                  and plotting formats are flexible).

## OPTIONS

           -C     Use the center of the block as the output location [Default uses
                  the mean location].

           -F     Block centers have pixel registration. [Default: grid  registra-
                  tion.]  (Registrations are defined in GMT Cookbook Appendix B on
                  grid file formats.) Each block is the locus  of  points  nearest
                  the grid value location. For example, with -R10/15/10/15 and and
                  -I1: with the -F option 10 <= (x,y) < 11 is one  of  25  blocks;
                  without it 9.5 <= (x,y) < 10.5 is one of 36 blocks.

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing your  .gmtdefaults4  file.  If  used,  GMT
                  default  is  1  header record. Use -Hi if only input data should
                  have header records [Default will write out  header  records  if
                  the input data have them].  Not used with binary data.

           -S     Use -Sz tp report the sum of all z-values inside a block, or -Sw
                  to report the sum of weights [Default reports mean value].

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -W     Weighted  modifier[s]. Unweighted input and output has 3 columns
                  x,y,z; Weighted i/o has 4 columns x,y,z,w.  Weights can be  used
                  in  input  to  construct  weighted mean values in blocks. Weight
                  sums can be reported in output for later combining several runs,
                  etc.  Use  -W for weighted i/o, -Wi for weighted input only, -Wo
                  for weighted output only. [Default uses unweighted i/o].

           -:     Toggles between  (longitude,latitude)  and  (latitude,longitude)
                  input  and/or output. [Default is (longitude,latitude)].  Append
                  i to select input only or o  to  select  output  only.  [Default
                  affects both].

           -bi    Selects  binary input. Append s for single precision [Default is
                  double].  Append n for the  number  of  columns  in  the  binary
                  file(s).
                  [Default is 3 (or 4 if -W is set)].

           -bo    Selects binary output. Append s for single precision [Default is
                  double].  Append n for the  number  of  columns  in  the  binary
                  file(s).

           -f     Special  formatting  of  input  and output columns (time or geo-
                  graphical data) Specify i(nput) or  o(utput)  [Default  is  both
                  input  and output].  Give one or more columns (or column ranges)
                  separated by commas.  Append T (Absolute calendar time), t (time
                  relative  to  chosen TIME_EPOCH), x (longitude), y (latitude), g
                  (geographic coordinate), or f (floating point) to each column or
                  column range item.

## EXAMPLES

           To  find  5  by  5  minute  block  mean  values  from the ASCII data in
           hawaii.xyg, run

           blockmean hawaii.xyg -R198/208/18/25 -I5m > hawaii_5x5.xyg

## SEE ALSO

           blockmedian(l), blockmode(l), gmtdefaults(l), gmt(l),  nearneighbor(l),
           surface(l), triangulate(l)

    GMT4.0                            1 Oct 2004                      BLOCKMEAN(l)